<?php
error_reporting(E_ALL ^ E_NOTICE);
//GPS functions
function exifToNumber($value, $format) {
	$spos = strpos($value, '/');
	if ($spos === false) {
		return sprintf($format, $value);
	} else {
		list($base,$divider) = split("/", $value, 2);
		if ($divider == 0) 
			return sprintf($format, 0);
		else
			return sprintf($format, ($base / $divider));
	}
}

function exifToCoordinate($reference, $coordinate) {
	if ($reference == 'S' || $reference == 'W')
		$prefix = '-';
	else
		$prefix = '';
		
	return $prefix . sprintf('%.6F', exifToNumber($coordinate[0], '%.6F') +
		(((exifToNumber($coordinate[1], '%.6F') * 60) +	
		(exifToNumber($coordinate[2], '%.6F'))) / 3600));
}

function getCoordinates($filename) {
	if (extension_loaded('exif')) {
		$exif = @exif_read_data($filename);
		
		if (isset($exif['GPSLatitudeRef']) && isset($exif['GPSLatitude']) && 
			isset($exif['GPSLongitudeRef']) && isset($exif['GPSLongitude'])) {
			return array (
				exifToCoordinate($exif['GPSLatitudeRef'], $exif['GPSLatitude']), 
				exifToCoordinate($exif['GPSLongitudeRef'], $exif['GPSLongitude'])
			);
		}
	}
}

function coordinate2DMS($coordinate, $pos, $neg) {
	$sign = $coordinate >= 0 ? $pos : $neg;
	
	$coordinate = abs($coordinate);
	$degree = intval($coordinate);
	$coordinate = ($coordinate - $degree) * 60;
	$minute = intval($coordinate);
	$second = ($coordinate - $minute) * 60;
	
	return sprintf("%s %d&#xB0; %02d&#x2032; %05.2f&#x2033;", $sign, $degree, $minute, $second);
}
//end GPS functions
if(function_exists('exif_read_data')){
    
}else{
echo "&result=EXIF function not present";
    exit;
}

$func=$_POST['func1'].$fnt2;
$showexif=$_POST['showexif'].$fnt2;
$album=$_POST['album'].$fnt2;
$image = $_POST['exiffile'].$fnt2;
$r1 = $_POST['r1'].$fnt2;
$r2 = $_POST['r2'].$fnt2;
$r3 = $_POST['r3'].$fnt2;
$r4 = $_POST['r4'].$fnt2;
$r5 = $_POST['r5'].$fnt2;
$r6 = $_POST['r6'].$fnt2;
$r7 = $_POST['r7'].$fnt2;
$r8 = $_POST['r8'].$fnt2;
$r9 = $_POST['r9'].$fnt2;
$r10 = $_POST['r10'].$fnt2;
$r11 = $_POST['r11'].$fnt2;
$r12 = $_POST['r12'].$fnt2;
$r13 = $_POST['r13'].$fnt2;
$r14 = $_POST['r14'].$fnt2;
$r15 = $_POST['r15'].$fnt2;
$r16 = $_POST['r16'].$fnt2;
$r17 = $_POST['r17'].$fnt2;
$r18 = $_POST['r18'].$fnt2;
$r19 = $_POST['r19'].$fnt2;
$r20 = $_POST['r20'].$fnt2;
$r21 = $_POST['r21'].$fnt2;
$r22 = $_POST['r22'].$fnt2;
$r23 = $_POST['r23'].$fnt2;
$r24 = $_POST['r24'].$fnt2;
$r25 = $_POST['r25'].$fnt2;
$r26 = $_POST['r26'].$fnt2;
$r27 = $_POST['r27'].$fnt2;
$r28 = $_POST['r28'].$fnt2;
$r29 = $_POST['r29'].$fnt2;
$r30 = $_POST['r30'].$fnt2;
$r31 = $_POST['r31'].$fnt2;
$r32 = $_POST['r32'].$fnt2;
$r33 = $_POST['r33'].$fnt2;
$r34 = $_POST['r34'].$fnt2;
$r35 = $_POST['r35'].$fnt2;
$r36 = $_POST['r36'].$fnt2;
$r37 = $_POST['r37'].$fnt2;
$r38 = $_POST['r38'].$fnt2;
$r39 = $_POST['r39'].$fnt2;
$r40 = $_POST['r40'].$fnt2;
$r41 = $_POST['r41'].$fnt2;
$r42 = $_POST['r42'].$fnt2;
$r43 = $_POST['r43'].$fnt2;
$r44 = $_POST['r44'].$fnt2;
$r45 = $_POST['r45'].$fnt2;
$r46 = $_POST['r46'].$fnt2;
$r47 = $_POST['r47'].$fnt2;
$r48 = $_POST['r48'].$fnt2;
$r49 = $_POST['r49'].$fnt2;
$r50 = $_POST['r50'].$fnt2;
$r51 = $_POST['r51'].$fnt2;
$r52 = $_POST['r52'].$fnt2;
$r53 = $_POST['r53'].$fnt2;
$r54 = $_POST['r54'].$fnt2;
$r55 = $_POST['r55'].$fnt2;

if ($func == "update_exif_options") {
$dfile = $album."/default.txt";
$newdata = file_get_contents($dfile);
$newdata = ereg_replace("&r1=([0-2X]*)", "&r1=".$r1, $newdata);
$newdata = ereg_replace("&r2=([0-2X]*)", "&r2=".$r2, $newdata);
$newdata = ereg_replace("&r3=([0-2X]*)", "&r3=".$r3, $newdata);
$newdata = ereg_replace("&r4=([0-2X]*)", "&r4=".$r4, $newdata);
$newdata = ereg_replace("&r5=([0-2X]*)", "&r5=".$r5, $newdata);
$newdata = ereg_replace("&r6=([0-2X]*)", "&r6=".$r6, $newdata);
$newdata = ereg_replace("&r7=([0-2X]*)", "&r7=".$r7, $newdata);
$newdata = ereg_replace("&r8=([0-2X]*)", "&r8=".$r8, $newdata);
$newdata = ereg_replace("&r9=([0-2X]*)", "&r9=".$r9, $newdata);
$newdata = ereg_replace("&r10=([0-2X]*)", "&r10=".$r10, $newdata);
$newdata = ereg_replace("&r11=([0-2X]*)", "&r11=".$r11, $newdata);
$newdata = ereg_replace("&r12=([0-2X]*)", "&r12=".$r12, $newdata);
$newdata = ereg_replace("&r13=([0-2X]*)", "&r13=".$r13, $newdata);
$newdata = ereg_replace("&r14=([0-2X]*)", "&r14=".$r14, $newdata);
$newdata = ereg_replace("&r15=([0-2X]*)", "&r15=".$r15, $newdata);
$newdata = ereg_replace("&r16=([0-2X]*)", "&r16=".$r16, $newdata);
$newdata = ereg_replace("&r17=([0-2X]*)", "&r17=".$r17, $newdata);
$newdata = ereg_replace("&r18=([0-2X]*)", "&r18=".$r18, $newdata);
$newdata = ereg_replace("&r19=([0-2X]*)", "&r19=".$r19, $newdata);
$newdata = ereg_replace("&r20=([0-2X]*)", "&r20=".$r20, $newdata);
$newdata = ereg_replace("&r21=([0-2X]*)", "&r21=".$r21, $newdata);
$newdata = ereg_replace("&r22=([0-2X]*)", "&r22=".$r22, $newdata);
$newdata = ereg_replace("&r23=([0-2X]*)", "&r23=".$r23, $newdata);
$newdata = ereg_replace("&r24=([0-2X]*)", "&r24=".$r24, $newdata);
$newdata = ereg_replace("&r25=([0-2X]*)", "&r25=".$r25, $newdata);
$newdata = ereg_replace("&r26=([0-2X]*)", "&r26=".$r26, $newdata);
$newdata = ereg_replace("&r27=([0-2X]*)", "&r27=".$r27, $newdata);
$newdata = ereg_replace("&r28=([0-2X]*)", "&r28=".$r28, $newdata);
$newdata = ereg_replace("&r29=([0-2X]*)", "&r29=".$r29, $newdata);
$newdata = ereg_replace("&r30=([0-2X]*)", "&r30=".$r30, $newdata);
$newdata = ereg_replace("&r31=([0-2X]*)", "&r31=".$r31, $newdata);
$newdata = ereg_replace("&r32=([0-2X]*)", "&r32=".$r32, $newdata);
$newdata = ereg_replace("&r33=([0-2X]*)", "&r33=".$r33, $newdata);
$newdata = ereg_replace("&r34=([0-2X]*)", "&r34=".$r34, $newdata);
$newdata = ereg_replace("&r35=([0-2X]*)", "&r35=".$r35, $newdata);
$newdata = ereg_replace("&r36=([0-2X]*)", "&r36=".$r36, $newdata);
$newdata = ereg_replace("&r37=([0-2X]*)", "&r37=".$r37, $newdata);
$newdata = ereg_replace("&r38=([0-2X]*)", "&r38=".$r38, $newdata);
$newdata = ereg_replace("&r39=([0-2X]*)", "&r39=".$r39, $newdata);
$newdata = ereg_replace("&r40=([0-2X]*)", "&r40=".$r40, $newdata);
$newdata = ereg_replace("&r41=([0-2X]*)", "&r41=".$r41, $newdata);
$newdata = ereg_replace("&r42=([0-2X]*)", "&r42=".$r42, $newdata);
$newdata = ereg_replace("&r43=([0-2X]*)", "&r43=".$r43, $newdata);
$newdata = ereg_replace("&r44=([0-2X]*)", "&r44=".$r44, $newdata);
$newdata = ereg_replace("&r45=([0-2X]*)", "&r45=".$r45, $newdata);
$newdata = ereg_replace("&r46=([0-2X]*)", "&r46=".$r46, $newdata);
$newdata = ereg_replace("&r47=([0-2X]*)", "&r47=".$r47, $newdata);
$newdata = ereg_replace("&r48=([0-2X]*)", "&r48=".$r48, $newdata);
$newdata = ereg_replace("&r49=([0-2X]*)", "&r49=".$r49, $newdata);
$newdata = ereg_replace("&r50=([0-2X]*)", "&r50=".$r50, $newdata);
$newdata = ereg_replace("&r51=([0-2X]*)", "&r51=".$r51, $newdata);
$newdata = ereg_replace("&r52=([0-2X]*)", "&r52=".$r52, $newdata);
$newdata = ereg_replace("&r53=([0-2X]*)", "&r53=".$r53, $newdata);
$newdata = ereg_replace("&r54=([0-2X]*)", "&r54=".$r54, $newdata);
$newdata = ereg_replace("&r55=([0-2X]*)", "&r55=".$r55, $newdata);

$newdata = ereg_replace("&showexif=([0-3X]*)", "&showexif=".$showexif, $newdata);

$fp = fopen($dfile, "w+");
$fw = fwrite( $fp, $newdata );
fclose( $fp );
echo "&update_c=1&";

}else {
$fnt1 = "<FONT  COLOR=\"#666666\"  >";

$fnt1l = "<FONT  COLOR=\"#0066FF\"  >";
$fnt2 = "</FONT>";

$exifDat=@exif_read_data($image);   
if($exifDat){

if($r1 == 1){
    if($exifDat['Artist']) $res1 = "\nAuthor: ".$fnt1.$exifDat['Artist'].$fnt2;
}
if($r2 == 1){
    if($exifDat['Copyright']) $res2 = "\nCopyright: ".$fnt1.$exifDat['Copyright'].$fnt2;
	$res2 = ereg_replace("&lt;", "<", $res2);
    $res2 = ereg_replace("&gt;", ">", $res2);
    $res2 = ereg_replace("&quot;", "\"", $res2);
	$res2 = ereg_replace("<a", $fnt2.$fnt1l."<a", $res2);
	$res2 = ereg_replace("</a>", "</a>".$fnt2.$fnt1, $res2);
}
if($r3 == 1){
    if($exifDat['ProfileCopyright']) $res3 = "\nProfileCopyright: ".$fnt1.$exifDat['ProfileCopyright'].$fnt2;
}
if($r4 == 1){
    if($exifDat['ImageDescription']) $res4 = "\nDescription: ".$fnt1.$exifDat['ImageDescription'].$fnt2;
	$res4 = ereg_replace("&lt;", "<", $res4);
    $res4 = ereg_replace("&gt;", ">", $res4);
    $res4 = ereg_replace("&quot;", "\"", $res4);
	$res4 = ereg_replace("<a", $fnt2.$fnt1l."<a", $res4);
	$res4 = ereg_replace("</a>", "</a>".$fnt2.$fnt1, $res4);
}
if($r5 == 1){
    if($exifDat['XPKeywords']) $res5 = "\nKeywords: ".$fnt1.$exifDat['XPKeywords'].$fnt2;
}
$size=GetImageSize($image);
if($r6 == 1){
    //if($exifDat['ExifImageWidth']) $res6 = "\nImage Width: ".$fnt1.$exifDat['ExifImageWidth'].$fnt2;
	$res6 = "\nImage Width: ".$fnt1.$size[0].$fnt2;
}
if($r7 == 1){
    //if($exifDat['ExifImageLength']) $res7 = "\nImage Length: ".$fnt1.$exifDat['ExifImageLength'].$fnt2;
	$res7 = "\nImage Length: ".$fnt1.$size[1].$fnt2;
}
if($r8 == 1){
    if($exifDat['FileSize']) $res8 = "\nFile Size: ".$fnt1.$exifDat['FileSize'].$fnt2;
}

if($exifDat['DateTimeOriginal']) {
    $myDate[1]=explode(' ',$exifDat['DateTimeOriginal']);
    $myDate[0]=explode(':',$myDate[1][0]);
    if($r9 == 1){
        //Date
        $res9 = "\nDate: ".$fnt1.$myDate[0][2]."-".$myDate[0][1]."-".$myDate[0][0].$fnt2;
	}
    if($r10 == 1){
        //Time
        $res10 = "\nTime: ".$fnt1.$myDate[1][1].$fnt2;
	}
}
if($r11 == 1){
    if($exifDat['ModifyDate']) $res11 = "\nDate Modified: ".$fnt1.$exifDat['ModifyDate'].$fnt2;
}
if($r12 == 1){
    if($exifDat['Make']) $res12 = "\nMake: ".$fnt1.$exifDat['Make'].$fnt2;
}
if($r13 == 1){
    if($exifDat['Model']) $res13 = "\nModel: ".$fnt1.$exifDat['Model'].$fnt2;
}

//GPS
if($r38 == 1){
if ($c = getCoordinates($image)) {
    $latitude = $c[0];
    $longitude = $c[1];

$res38 = "\nGPS Latitude: ".$fnt1.$latitude.$fnt2;
$res39 = "\nGPS Longitude: ".$fnt1.$longitude.$fnt2;
//maps
if($r39 == 1){
$maplink = '<a href="http://maps.google.com/maps?q='.$latitude.' '.$longitude.'" target="_blank">Google Maps</a>';
$resmaps = "\nLocation: ".$fnt1l.$maplink.$fnt2;
}
//maps
}
}
//GPS

if($r14 == 1){
    if($exifDat['COMPUTED']['ApertureFNumber']) $res14 = "\nAperture: ".$fnt1.$exifDat['COMPUTED']['ApertureFNumber'].$fnt2;
}

$flash = $exifDat['Flash'].$fnt2;
$yesflsh = "\nFlash: Fired";
$noflsh = "\nFlash: No Flash";


if ($flash == "0") $flsh = $noflsh;
else if ($flash == 24) $flsh = $noflsh;
else if ($flash == 16) $flsh = $noflsh;
else if ($flash == 32) $flsh = $noflsh;

else if ($flash == 1) $flsh = $yesflsh;
else if ($flash == 5) $flsh = $yesflsh;
else if ($flash == 7) $flsh = $yesflsh;
else if ($flash == 9) $flsh = $yesflsh;
else if ($flash == 13) $flsh = $yesflsh;
else if ($flash == 15) $flsh = $yesflsh;
else if ($flash == 25) $flsh = $yesflsh;
else if ($flash == 29) $flsh = $yesflsh;
else if ($flash == 31) $flsh = $yesflsh;
else if ($flash == 65) $flsh = $yesflsh;
else if ($flash == 69) $flsh = $yesflsh;
else if ($flash == 71) $flsh = $yesflsh;
else if ($flash == 73) $flsh = $yesflsh;
else if ($flash == 77) $flsh = $yesflsh;
else if ($flash == 79) $flsh = $yesflsh;
else if ($flash == 89) $flsh = $yesflsh;
else if ($flash == 93) $flsh = $yesflsh;
else if ($flash == 95) $flsh = $yesflsh;


if($r15 == 1){
    //Flash
    $res15 = $flsh;
}
if($r16 == 1){
    if($exifDat['ShutterSpeedValue']) $res16 = "\nShutter Speed: ".$fnt1.$exifDat['ShutterSpeedValue'].$fnt2;
}
if($r17 == 1){
    if($exifDat['ApertureValue']) $res17 = "\nAperture Value: ".$fnt1.$exifDat['ApertureValue'].$fnt2;
}
if($r18 == 1){
    if($exifDat['MaxApertureValue']) $res18 = "\nMax Aperture Value: ".$fnt1.$exifDat['MaxApertureValue'].$fnt2;
}
if($r19 == 1){
    if($exifDat['FNumber']) $res19 = "\nFocal Number: ".$fnt1.$exifDat['FNumber'].$fnt2;
}
if($r20 == 1){
    if($exifDat['ExposureTime']) $res20 = "\nShutter: ".$fnt1.$exifDat['ExposureTime'].$fnt2;
}
if($r21 == 1){
    if($exifDat['ISOSpeedRatings']) $res21 = "\nISO Speed Ratings: ".$fnt1.$exifDat['ISOSpeedRatings'].$fnt2;
}
if($r22 == 1){
    if($exifDat['ExposureProgram']) $res22 = "\nExposure Program: ".$fnt1.$exifDat['ExposureProgram'].$fnt2;
}
if($r23 == 1){
    if($exifDat['ExposureBiasValue']) $res23 = "\nExposure Bias Value: ".$fnt1.$exifDat['ExposureBiasValue'].$fnt2;
}
if($r24 == 1){
    if($exifDat['ExposureMode']) $res24 = "\nExposure Mode: ".$fnt1.$exifDat['ExposureMode'].$fnt2;
}
if($r25 == 1){
    if($exifDat['ExposureCompensation']) $res25 = "\nExposure Compensation: ".$fnt1.$exifDat['ExposureCompensation'].$fnt2;
}
if($r26 == 1){
    if($exifDat['ExposureIndex']) $res26 = "\nExposure Index: ".$fnt1.$exifDat['ExposureIndex'].$fnt2;
}
if($r27 == 1){
    if($exifDat['DigitalZoomRatio']) $res27 = "\nDigital Zoom Ratio: ".$fnt1.$exifDat['DigitalZoomRatio'].$fnt2;
}
if($r28 == 1){
    if($exifDat['MeteringMode']) $res28 = "\nMetering Mode: ".$fnt1.$exifDat['MeteringMode'].$fnt2;
}
if($r29 == 1){
    if($exifDat['LightSource']) $res29 = "\nLight Source: ".$fnt1.$exifDat['LightSource'].$fnt2;
}
if($r30 == 1){
    if($exifDat['SubjectDistanceRange']) $res30 = "\nSubject Distance Range: ".$fnt1.$exifDat['SubjectDistanceRange'].$fnt2;
}
if($r31 == 1){
    if($exifDat['FocalLength']) $res31 = "\nFocal Length: ".$fnt1.$exifDat['FocalLength'].$fnt2;
}
if($r32 == 1){
    if($exifDat['FocalLengthIn35mmFilm']) $res32 = "\nFocal Length In 35mm Film: ".$fnt1.$exifDat['FocalLengthIn35mmFilm'].$fnt2;
}
if($r33 == 1){
    if($exifDat['FocalPlaneXResolution']) $res33 = "\nFocal Plane X Resolution: ".$fnt1.$exifDat['FocalPlaneXResolution'].$fnt2;
}
if($r34 == 1){
    if($exifDat['FocalPlaneYResolution']) $res34 = "\nFocal Plane Y Resolution: ".$fnt1.$exifDat['FocalPlaneYResolution'].$fnt2;
}
if($r35 == 1){
    if($exifDat['FocalPlaneResolutionUnit']) $res35 = "\nFocal Plane Resolution Unit: ".$fnt1.$exifDat['FocalPlaneResolutionUnit'].$fnt2;
}
if($r36 == 1){
    if($exifDat['FlashpixVersion']) $res36 = "\nFlashpix Version: ".$fnt1.$exifDat['FlashpixVersion'].$fnt2;
}
if($r37 == 1){
    if($exifDat['ColorSpace']) $res37 = "\nColorSpace: ".$fnt1.$exifDat['ColorSpace'].$fnt2;
}
if($r40 == 1){
    if($exifDat['SensingMethod']) $res40 = "\nSensing Method: ".$fnt1.$exifDat['SensingMethod'].$fnt2;
}
if($r41 == 1){
    if($exifDat['FileSource']) $res41 = "\nFile Source: ".$fnt1.$exifDat['FileSource'].$fnt2;
}
if($r42 == 1){
    if($exifDat['SceneType']) $res42 = "\nScene Type: ".$fnt1.$exifDat['SceneType'].$fnt2;
}
if($r43 == 1){
    if($exifDat['CustomRendered']) $res43 = "\nCustom Rendered: ".$fnt1.$exifDat['CustomRendered'].$fnt2;
}
if($r44 == 1){
    if($exifDat['WhiteBalance']) $res44 = "\nWhite Balance: ".$fnt1.$exifDat['WhiteBalance'].$fnt2;
}
if($r45 == 1){
    if($exifDat['SceneCaptureType']) $res45 = "\nScene Capture Type: ".$fnt1.$exifDat['SceneCaptureType'].$fnt2;
}
if($r46 == 1){
    if($exifDat['GainControl']) $res46 = "\nGain Control: ".$fnt1.$exifDat['GainControl'].$fnt2;
}
if($r47 == 1){
    if($exifDat['Contrast']) $res47 = "\nContrast: ".$fnt1.$exifDat['Contrast'].$fnt2;
}
if($r48 == 1){
    if($exifDat['Saturation']) $res48 = "\nSaturation: ".$fnt1.$exifDat['Saturation'].$fnt2;
}
if($r49 == 1){
    if($exifDat['Sharpness']) $res49 = "\nSharpness: ".$fnt1.$exifDat['Sharpness'].$fnt2;
}
if($r50 == 1){
    if($exifDat['BrightnessValue']) $res50 = "\nBrightness Value: ".$fnt1.$exifDat['BrightnessValue'].$fnt2;
}
if($r51 == 1){
    if($exifDat['Orientation']) $res51 = "\nOrientation: ".$fnt1.$exifDat['Orientation'].$fnt2;
}
if($r52 == 1){
    if($exifDat['Compression']) $res52 = "\nCompression: ".$fnt1.$exifDat['Compression'].$fnt2;
}
if($r53 == 1){
    if($exifDat['ResolutionUnit']) $res53 = "\nResolutionUnit: ".$fnt1.$exifDat['ResolutionUnit'].$fnt2;
}
if($r54 == 1){
    if($exifDat['Lens']) $res54 = "\nLens: ".$fnt1.$exifDat['Lens'].$fnt2;
}
if($r55 == 1){
    if($exifDat['Software']) $res55 = "\nSoftware: ".$fnt1.$exifDat['Software'].$fnt2;
}   
$alltogethr = "$res1$res2$res3$res4$res5$res6$res7$res8$res9$res10$res11$res12$res13$res38$res39$resmaps$res14$res15$res16$res17$res18$res19$res20$res21$res22$res23$res24$res25$res26$res27$res28$res29$res30$res31$res32$res33$res34$res35$res36$res37$res40$res41$res42$res43$res44$res45$res46$res47$res48$res49$res50$res51$res52$res53$res54$res55";
echo "&result=".$alltogethr;
	  
}else{
    echo "&result=\nNo EXIF Info Found";
}
echo "&exifresult=1";
echo "&exifresult2=1";
}
?>
   
