<?php
error_reporting(E_ALL ^ E_NOTICE);
$show_settings = $_POST["show_settings"];

/* parse php modules from phpinfo */
function parsePHPModules() {
 ob_start();
 phpinfo(INFO_MODULES);
 $s = ob_get_contents();
 ob_end_clean();

 $s = strip_tags($s,'<h2><th><td>');
 $s = preg_replace('/<th[^>]*>([^<]+)<\/th>/',"<info>\\1</info>",$s);
 $s = preg_replace('/<td[^>]*>([^<]+)<\/td>/',"<info>\\1</info>",$s);
 $vTmp = preg_split('/(<h2[^>]*>[^<]+<\/h2>)/',$s,-1,PREG_SPLIT_DELIM_CAPTURE);
 $vModules = array();
 for ($i=1;$i<count($vTmp);$i++) {
  if (preg_match('/<h2[^>]*>([^<]+)<\/h2>/',$vTmp[$i],$vMat)) {
   $vName = trim($vMat[1]);
   $vTmp2 = explode("\n",$vTmp[$i+1]);
   foreach ($vTmp2 AS $vOne) {
   $vPat = '<info>([^<]+)<\/info>';
   $vPat3 = "/$vPat\s*$vPat\s*$vPat/";
   $vPat2 = "/$vPat\s*$vPat/";
   if (preg_match($vPat3,$vOne,$vMat)) { // 3cols
     $vModules[$vName][trim($vMat[1])] = array(trim($vMat[2]),trim($vMat[3]));
   } elseif (preg_match($vPat2,$vOne,$vMat)) { // 2cols
     $vModules[$vName][trim($vMat[1])] = trim($vMat[2]);
   }
   }
  }
 }
 return $vModules;
}
/** get a module setting */ 
function getModuleSetting($pModuleName,$pSetting) { 
 $vModules = parsePHPModules(); 
 return $vModules[$pModuleName][$pSetting]; 
}
//
ob_start();
phpinfo();
$phpinfo = array('phpinfo' => array());
if(preg_match_all('#(?:<h2>(?:<a name=".*?">)?(.*?)(?:</a>)?</h2>)|(?:<tr(?: class=".*?")?><t[hd](?: class=".*?")?>(.*?)\s*</t[hd]>(?:<t[hd](?: class=".*?")?>(.*?)\s*</t[hd]>(?:<t[hd](?: class=".*?")?>(.*?)\s*</t[hd]>)?)?</tr>)#s', ob_get_clean(), $matches, PREG_SET_ORDER))
    foreach($matches as $match)
        if(strlen($match[1]))
            $phpinfo[$match[1]] = array();
        elseif(isset($match[3]))
            $phpinfo[end(array_keys($phpinfo))][$match[2]] = isset($match[4]) ? array($match[3], $match[4]) : $match[3];
        else
            $phpinfo[end(array_keys($phpinfo))][] = $match[2];

$UMF = "{$phpinfo['PHP Core']['upload_max_filesize'][0]}";
$PMS = "{$phpinfo['PHP Core']['post_max_size'][0]}";
$memlim = $phpinfo['PHP Core']['memory_limit'][0];

if($memlim == ""){
$memlim = "100M";
}

$memlim2 = $memlim;
$memlim = ereg_replace("M", "000000", $memlim);

if($show_settings == 1){
echo('&gal='.basename (dirname($_SERVER['PHP_SELF']),"/"));
$sapi_type = php_sapi_name();
       if (substr($sapi_type, 0, 3) == 'cgi') {
       echo "&servermode=cgi&<br>";
} else {
       echo "&servermode=Apache&<br>";
}
$umfs = $phpinfo['PHP Core']['upload_max_filesize'][0];
$umfs = ereg_replace("M", "000000", $umfs);
if(function_exists('exif_read_data')){
    echo "&exif_library=1&";
}else{
    echo "&exif_library=0&";
}
echo $memlim2;
echo "&upload_max_filesize={$phpinfo['PHP Core']['upload_max_filesize'][0]}&<br />\n";
echo "&max_execution_time={$phpinfo['PHP Core']['max_execution_time'][0]}&<br />\n";
echo "&post_max_size={$phpinfo['PHP Core']['post_max_size'][0]}&<br />\n";
echo "&memory_limit=".$memlim2."&";
echo "&sr_loaded=1&";
}
?>